"use strict";
/*
 * adonis-fcm
 *
 * (c) Lookin Anton <lookin@lookinlab.ru>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Fake FCM is used to send fake messages
 *
 * @class FakeFCM
 * @constructor
 */
class FakeFCM {
    constructor() {
        this.$messages = [];
    }
    recent() {
        return this.$messages[this.$messages.length - 1];
    }
    pullRecent() {
        return this.$messages.pop();
    }
    all() {
        return JSON.parse(JSON.stringify(this.$messages));
    }
    clear() {
        this.$messages.length = 0;
    }
    async send(message) {
        this.$messages.push(message);
        return message;
    }
    async sendNoRetry(message) {
        this.$messages.push(message);
        return message;
    }
}
exports.default = FakeFCM;
